javax.swing.event

## Interface AncestorListener

- All Superinterfaces:
    EventListener

      public interface AncestorListener
      extends EventListener

  AncestorListener Interface to support notification when changes occur to a JComponent or one of its ancestors. These include movement and when the component becomes visible or invisible, either by the setVisible() method or by being added or removed from the component hierarchy.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ancestorAdded(AncestorEvent event)` | Called when the source or one of its ancestors is made visible either by setVisible(true) being called or by its being added to the component hierarchy.
    `void` | `ancestorMoved(AncestorEvent event)` | Called when either the source or one of its ancestors is moved.
    `void` | `ancestorRemoved(AncestorEvent event)` | Called when the source or one of its ancestors is made invisible either by setVisible(false) being called or by its being remove from the component hierarchy.

- - ### Method Detail

    - #### ancestorAdded

          void ancestorAdded(AncestorEvent event)

      Called when the source or one of its ancestors is made visible either by setVisible(true) being called or by its being added to the component hierarchy. The method is only called if the source has actually become visible. For this to be true all its parents must be visible and it must be in a hierarchy rooted at a Window

    - #### ancestorRemoved

          void ancestorRemoved(AncestorEvent event)

      Called when the source or one of its ancestors is made invisible either by setVisible(false) being called or by its being remove from the component hierarchy. The method is only called if the source has actually become invisible. For this to be true at least one of its parents must by invisible or it is not in a hierarchy rooted at a Window

    - #### ancestorMoved

          void ancestorMoved(AncestorEvent event)

      Called when either the source or one of its ancestors is moved.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.